Bug 723936 - Interfacing naming unpredictable when specifying HWADDR on subinterfaces
Summary: Interfacing naming unpredictable when specifying HWADDR on subinterfaces
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: initscripts
Version: 6.1
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Lukáš Nykrýn
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 836160 840699
TreeView+ depends on / blocked
 
Reported: 2011-07-21 15:13 UTC by Norman Elton
Modified: 2016-11-25 12:59 UTC (History)
9 users (show)

Fixed In Version: initscripts-9.03.32-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: rename_device.c does not cope with VLAN interfaces. Consequence: The physical interface can be improperly named. Fix: Check for VLANs in rename_device.c Result: Interfaces are named properly.
Clone Of:
Environment:
Last Closed: 2013-02-21 10:25:33 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed patch (against upstream git) (1.10 KB, patch)
2011-11-02 07:55 UTC, Harald Hoyer
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0518 normal SHIPPED_LIVE initscripts bug fix and enhancement update 2013-02-20 21:29:01 UTC

Description Norman Elton 2011-07-21 15:13:52 UTC
Description of problem:

If the /etc/sysconfig/network-scripts/ifcfg-eth0.123 file contains a HWADDR declaration, the physical interface can improperly named eth0.123 instead of eth0.123. It would be nice for udev to ignore VLAN interface configurations entirely.

Comment 1 Norman Elton 2011-07-21 15:18:27 UTC
Sample configuration that would cause problems:

DEVICE=eth2.50
HWADDR=00:15:17:0B:49:B4
ONBOOT=yes
TYPE=Ethernet
IPADDR=10.50.0.1
NETMASK=255.255.0.0
VLAN=yes

Comment 3 Harald Hoyer 2011-09-01 09:43:54 UTC
Just don't specify HWADDR for vlan. Do it only in the real physical interface.

Comment 4 Norman Elton 2011-09-01 12:41:47 UTC
Agreed. Here's a conversation on #udev from back in July...

[11:04am] haraldh: Norm, pong
[11:04am] Norm: i had a RHEL question regarding udev naming interfaces using a subinterface name (eth0.14) instead of the real name (eth0), but i'm suspecting it may be due to my specifying HWADDR in ifcfg-eth0 and in ifcfg-eth0.14
[11:05am] haraldh: ouch
[11:05am] haraldh: please do not do that in ifcfg-eth0.14
[11:06am] Norm: hehe 
[11:06am] Norm: let me tell you, when udev names your interface "eth0.14", you're in for a world of hurt
[11:06am] haraldh: true
[11:07am] Norm: this is a RHEL5 -> RHEL6 upgrade, in previous versions it was equally unnecessary, but didn't hurt anything
[11:07am] haraldh: mmhh.. yes
[11:07am] Norm: anyway, i'm hopeful that this reboot will straighten everything out
[11:07am] haraldh: Norm, can you open a bugzilla for this?
[11:07am] Norm: sure thing
[11:07am] haraldh: so I will not forget
[11:07am] haraldh: thank you!
[11:07am] Norm: np, thank you!

Comment 8 Harald Hoyer 2011-11-02 07:55:40 UTC
Created attachment 531275 [details]
proposed patch (against upstream git)

Comment 9 Harald Hoyer 2011-11-02 07:56:21 UTC
What do you think, Bill?

Comment 11 Bill Nottingham 2011-11-02 18:16:23 UTC
Seems reasonable for 6.3, but not for 6.2 at this point.

Comment 20 errata-xmlrpc 2013-02-21 10:25:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0518.html


Note You need to log in before you can comment on or make changes to this bug.